Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.io.gps.garmin
Class Waypoint

    java.lang.Object
      |
      +--superwaba.ext.xplat.io.gps.garmin.Waypoint

public class Waypoint
extends Object
implements Storable

A class that represents a waypoint in a GPS system, capable of store and load itself from database.

Field Summary
`static int` | `ANCHOR`
`static int` | `BACK_TRACK`
`static int` | `BOAT`
`static int` | `BUOY`
`static int` | `CAMP`
`static int` | `CAR`
`static int` | `DEER`
`static int` | `DISPLAY_COMMENT`
`static int` | `DISPLAY_NAME`
`static int` | `DISPLAY_NONE`
`static int` | `DOT`
`static int` | `DUCK`
`static int` | `EXIT`
`static int` | `FISH`
`static int` | `FLAG`
`static int` | `GAS`
`static int` | `HOUSE`
`static int` | `SKULL`
`static int` | `WRECK`

Constructor Summary
`Waypoint()`
`Waypoint(Stream st)`
`Waypoint(String name, double lat, double lon, String comment, int symbol, int display)`

Method Summary
`String` | `getComment()`
`int` | `getDisplay()`
`byte` | `getID()` Gets a unique ID for this class.
`Storable` | `getInstance()` Returns an object of the same class as this object.
`String` | `getName()`
`double[]` | `getPosition()`
`int` | `getSymbol()`
`void` | `loadState(DataStream ds)` Load state information from the given DataStream into this object If any Storable objects need to be loaded as part of the state, their loadState() method can be called too.
`void` | `read(Stream st)`
`void` | `saveState(DataStream ds)` Send the state information of this object to the given object catalog using the given DataStream.
`String` | `toString()` Returns the string representation of the object, that is full_class_name@internal_address_hex.
`void` | `write(Stream st)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, wait, wait`

Field Detail

### DOT

    public static final int DOT

### HOUSE

    public static final int HOUSE

### GAS

    public static final int GAS

### CAR

    public static final int CAR

### FISH

    public static final int FISH

### BOAT

    public static final int BOAT

### ANCHOR

    public static final int ANCHOR

### WRECK

    public static final int WRECK

### EXIT

    public static final int EXIT

### SKULL

    public static final int SKULL

### FLAG

    public static final int FLAG

### CAMP

    public static final int CAMP

### DUCK

    public static final int DUCK

### DEER

    public static final int DEER

### BUOY

    public static final int BUOY

### BACK_TRACK

    public static final int BACK_TRACK

### DISPLAY_NAME

    public static final int DISPLAY_NAME

### DISPLAY_NONE

    public static final int DISPLAY_NONE

### DISPLAY_COMMENT

    public static final int DISPLAY_COMMENT

Constructor Detail

### Waypoint

    public Waypoint()

### Waypoint

    public Waypoint(Stream st)

### Waypoint

    public Waypoint(String name,
                    double lat,
                    double lon,
                    String comment,
                    int symbol,
                    int display)

Method Detail

### write

    public void write(Stream st)

### read

    public void read(Stream st)

### getID

    public byte getID()

  Description copied from interface: Storable
  Gets a unique ID for this class. It is up to the user to ensure that the ID of each class of Storable contained in a single ObjectCatalog is unique and the ID of each instance in a class is the same. If the ID returned is zero, no type information will be saved to the catalog and ObjectCatalog.loadObjectAt(int) cannot be used. It is useful, however when accessing Catalogs from other programs using the ObjectCatalog model.
  Specified by:
    getID in interface Storable

### getInstance

    public Storable getInstance()

  Description copied from interface: Storable
  Returns an object of the same class as this object.
  Specified by:
    getInstance in interface Storable
  Tags copied from interface: Storable
  Returns:
    a class. Any data is irrelevent.

### loadState

    public void loadState(DataStream ds)

  Description copied from interface: Storable
  Load state information from the given DataStream into this object If any Storable objects need to be loaded as part of the state, their loadState() method can be called too.
  Specified by:
    loadState in interface Storable

### saveState

    public void saveState(DataStream ds)

  Description copied from interface: Storable
  Send the state information of this object to the given object catalog using the given DataStream. If any Storable objects need to be saved as part of the state, their saveState() method can be called too.
  Specified by:
    saveState in interface Storable

### getName

    public String getName()

### getComment

    public String getComment()

### getPosition

    public double[] getPosition()

### getSymbol

    public int getSymbol()

### getDisplay

    public int getDisplay()

### toString

    public String toString()

  Description copied from class: Object
  Returns the string representation of the object, that is full_class_name@internal_address_hex. Note that, differently from JDK, the package separator is / instead of .
  Overrides:
    toString in class Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD